kind: Application
apiVersion: argoproj.io/v1alpha1
metadata:
  name: cluster-quay-project
  labels:  &basic_labels
    app.kubernetes.io/name: "argoapp-cluster-quay-project-application"
    app.kubernetes.io/component: "cluster-quay"
  annotations: &basic_annotations
    openshift.io/generated-by: sxcm
    # argocd.argoproj.io/manifest-generate-paths: .
  finalizers:
    - resources-finalizer.argocd.argoproj.io
spec:
  destination:
    namespace: "startx-quay"
    server: 'https://kubernetes.default.svc'
  info:
    - name: teammail
      value: dev@startx.fr
  project: cluster-admin
  source:
    path: charts/cluster-quay/
    repoURL: 'https://github.com/startxfr/helm-repository.git'
    targetRevision: devel
    helm: {}
  syncPolicy:
    automated:
      prune: true
      selfHeal: false
    syncOptions:
      - ApplyOutOfSyncOnly=true
      - CreateNamespace=false
      - Validate=true
    retry:
      limit: 5
      backoff:
        duration: 5s
        factor: 2
        maxDuration: 20s